﻿using DevExpress.ExpressApp;
using DevExpress.XtraBars.Docking;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DockPanelTeszt2.Module.Win.Controllers
{
	public class DockPanelViewController : ViewController
	{
		protected override void OnActivated()
		{
			base.OnActivated();
			Frame.GetController<Xafari.DockPanels.XafariDockingWindowController>().DockPanelFrameCreated += DockPanelViewController_DockPanelFrameCreated;
		}

		void DockPanelViewController_DockPanelFrameCreated(object sender, Xafari.DockPanels.DockPanelItemEventArgs e)
		{
			DockPanel p = e.DockPanelItem.DockPanel as DockPanel;
			if (p != null) 
				p.TabsPosition = TabsPosition.Top;
		}

		protected override void OnDeactivated()
		{
			
			Frame.GetController<Xafari.DockPanels.XafariDockingWindowController>().DockPanelFrameCreated -= DockPanelViewController_DockPanelFrameCreated;
			base.OnDeactivated();
		}
	}
}
